export interface AtTreeNodeOptions {
    title: string;
    key: string;
    icon?: string;
    isLeaf?: boolean;
    checked?: boolean;
    selected?: boolean;
    selectable?: boolean;
    disabled?: boolean;
    disableCheckbox?: boolean;
    expanded?: boolean;
    children?: AtTreeNodeOptions[];
    [key: string]: any;
}
export declare class AtTreeNode {
    title?: string;
    key?: string;
    level: number;
    children: AtTreeNode[];
    isLeaf: boolean;
    origin: any;
    parentNode: AtTreeNode;
    isChecked: boolean;
    isSelectable: boolean;
    isDisabled: boolean;
    isDisableCheckbox: boolean;
    isExpanded: boolean;
    isHalfChecked: boolean;
    isAllChecked: boolean;
    isSelected: boolean;
    isLoading: boolean;
    isMatched: boolean;
    extra_props: any;
    constructor(option: AtTreeNodeOptions, parent?: AtTreeNode);
    setChecked(checked?: boolean, halfChecked?: boolean): void;
    setExpanded(value: boolean): void;
    setSelected(value: boolean): void;
    getParentNode(): AtTreeNode;
    getChildren(): AtTreeNode[];
    /**
     * 支持按索引位置插入,叶子节点不可添加
     */
    addChildren(children: any[], childPos?: number): void;
    clearChildren(): void;
    remove(): void;
}
